I think the RC software loaded the wrong firmware on my controller - can it be reflashed?

Joined
Sep 28, 2015
Messages
68
Reaction score
5
Age
39
After an upgrade of the controller, the red light has gone to green and it starts with 3 quick bleeps.

Reading about it seems the wrong firmware has been loaded.

Everything works expect the X1 channel for the gimbal. The X1 works in the RC and the P2 software only not on the bird.

I think a refresh of the old firmware might do the trick, I read one post where someone with same problem was asked by Dji to send theirs back. Thats going be a long wait.

Does anyone know a way to refresh the controller. It's a DJ6, the one with the gimbal lever on the back.....

Thanks....
 
Joined
Oct 12, 2014
Messages
5,136
Reaction score
572
Location
Commerce Twp,MI
After an upgrade of the controller, the red light has gone to green and it starts with 3 quick bleeps.

Reading about it seems the wrong firmware has been loaded.

Everything works expect the X1 channel for the gimbal. The X1 works in the RC and the P2 software only not on the bird.

I think a refresh of the old firmware might do the trick, I read one post where someone with same problem was asked by Dji to send theirs back. Thats going be a long wait.

Does anyone know a way to refresh the controller. It's a DJ6, the one with the gimbal lever on the back.....

Thanks....
There is only one RC firmware v1.2 available for either PC or Mac. What OS are you using?? Also what gimbal are you using??

UPGrades page.jpg
P2 RC controller.jpg
RC controller.jpg
 
Joined
Sep 28, 2015
Messages
68
Reaction score
5
Age
39
Screen Shot 2016-06-04 at 19.20.58.png
There is only one RC firmware v1.2 available for either PC or Mac. What OS are you using?? Also what gimbal are you using??

View attachment 56021 View attachment 56022 View attachment 56023
Hi Jason,

I am using OSX 10.11.5 (the latest)
It's a zenmuse Hd-3D gimbal.

I my firmware is 1.02.26, there was a lower version, 1.xx..14 I believe.

I think the version 1.2 you are referring to is the software version of the RC System software, not the firmware version which the software loads into the controller.
 
Last edited:
Joined
Oct 12, 2014
Messages
5,136
Reaction score
572
Location
Commerce Twp,MI
Hi Jason,

I am using OSX 10.11.5 (the latest)
It's a zenmuse Hd-3D gimbal.

I my firmware is 1.02.26, there was a lower version, 1.xx..14 I believe.

I think the version 1.2 you are referring to is the software version of the RC System software, not the firmware version which the software loads into the controller.
Since you seem to have all the answers there's no need of future discussion on this subject. If you still need help do so without I know it all attitude.
 
Joined
Sep 28, 2015
Messages
68
Reaction score
5
Age
39
I don't have all the answers, thats why I am here looking for help, sorry your offended by my reply, but I didn't say something wrong.
 
Joined
Oct 12, 2014
Messages
5,136
Reaction score
572
Location
Commerce Twp,MI
Joined
Sep 28, 2015
Messages
68
Reaction score
5
Age
39
Thanks man, I've been flying this thing for about 2 years, and solved many small hardware and firmware bugs already...Still no closer to getting the gimbal responding to the X1 channel...All other channels are working fine. The X1 also calibrates fine in both the RC and P2 software as well as the non software method of calibration....
 
Joined
Apr 8, 2016
Messages
281
Reaction score
46
Location
Romania
I have this problem myself I have the old style remote not the upgraded version I flashed it to the latest firmware a month ago. Then I mounted a lever for the potentiometer and it did calibrate and work in the RC Assistant but it didn't work in Phantom Asistant only if I switched to upgraded model in the Remote section. Why is this happening ?
 
Joined
Sep 28, 2015
Messages
68
Reaction score
5
Age
39
I have this problem myself I have the old style remote not the upgraded version I flashed it to the latest firmware a month ago. Then I mounted a lever for the potentiometer and it did calibrate and work in the RC Assistant but it didn't work in Phantom Asistant only if I switched to upgraded model in the Remote section. Why is this happening ?
I have no idea man....I have another thread on this here with more reasons to keep scratching your head. Dji team,do you offer technical help or only repeat from the manuals
 
Joined
Sep 28, 2015
Messages
68
Reaction score
5
Age
39
I have this problem myself I have the old style remote not the upgraded version I flashed it to the latest firmware a month ago. Then I mounted a lever for the potentiometer and it did calibrate and work in the RC Assistant but it didn't work in Phantom Asistant only if I switched to upgraded model in the Remote section. Why is this happening ?
Update your gimbal firmware....mine has just started to work after doing this.
 

New Threads

Forum statistics

Threads
136,411
Messages
1,410,674
Members
99,212
Latest member
Rodjio Rico